package etf;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.validation.constraints.*;

/**
 * @author Drazen
 */
@ManagedBean
@RequestScoped
public class KorisnikBean {
    @Size(min = 3, message = "Korisničko ime mora biti dužine najmanje tri karaktera!")
    private String ime;
    
    @Pattern(regexp = "^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\\.[a-zA-Z]{2,3}$", message = "Adresa e-pošte ne odgovara traženom regularnom izrazu.")
    private String eposta;

    public String getIme() {
        return ime;
    }

    public void setIme(String ime) {
        this.ime = ime;
    }

    public String getEposta() {
        return eposta;
    }

    public void setEposta(String eposta) {
        this.eposta = eposta;
    }
}